<?php
/**
 * Copyright © 2016 Neoxero. All rights reserved.
 * See COPYING.txt for license details.
 */
// @codingStandardsIgnoreFile
?>
<?php
$_option = $block->getOption();
$class = ($_option->getIsRequire()) ? ' required' : '';
?>

<div class="product-variation-section-row product-variation-section-border field<?php
if ($_option->getType() == \Magento\Catalog\Model\Product\Option::OPTION_TYPE_AREA) {
    echo ' textarea';
}
?><?php /* @escapeNotVerified */ echo $class ?>">
    <div class="row">
        <div class="col-sm-4">
            <span class="product-variation-section-label" for="options_<?php /* @escapeNotVerified */ echo $_option->getId() ?>_text">
                <?php echo $block->escapeHtml($_option->getTitle()) ?>
                <?php /* @escapeNotVerified */ echo $block->getFormatedPrice() ?>
            </span>
        </div>
        <div class="col-sm-8">
                <?php if ($_option->getType() == \Magento\Catalog\Model\Product\Option::OPTION_TYPE_FIELD): ?>
                    <?php
                    $_textValidate = null;
                    if ($_option->getIsRequire()) {
                        $_textValidate['required'] = true;
                    }
                    if ($_option->getMaxCharacters()) {
                        $_textValidate['maxlength'] = $_option->getMaxCharacters();
                    }
                    ?>
                    <input type="text"
                           id="options_<?php /* @escapeNotVerified */ echo $_option->getId() ?>_text"
                           class="form-control input-text product-custom-option"
                           <?php if (!empty($_textValidate)) { ?>
                               data-validate="<?php echo $block->escapeHtml(json_encode($_textValidate)); ?>"
    <?php } ?>
                           name="options[<?php /* @escapeNotVerified */ echo $_option->getId() ?>]"
                           value="<?php echo $block->escapeHtml($block->getDefaultValue()) ?>"/>
                       <?php elseif ($_option->getType() == \Magento\Catalog\Model\Product\Option::OPTION_TYPE_AREA): ?>
                           <?php
                           $_textAreaValidate = null;
                           if ($_option->getIsRequire()) {
                               $_textAreaValidate['required'] = true;
                           }
                           if ($_option->getMaxCharacters()) {
                               $_textAreaValidate['maxlength'] = $_option->getMaxCharacters();
                           }
                           ?>
                    <textarea id="options_<?php /* @escapeNotVerified */ echo $_option->getId() ?>_text"
                              classform-control product-custom-option"
                              <?php if (!empty($_textAreaValidate)) { ?>
                                  data-validate="<?php echo $block->escapeHtml(json_encode($_textAreaValidate)); ?>"
    <?php } ?>
                              name="options[<?php /* @escapeNotVerified */ echo $_option->getId() ?>]"
                              rows="5"
                              cols="25"><?php echo $block->escapeHtml($block->getDefaultValue()) ?></textarea>
<?php endif; ?>
                <?php if ($_option->getMaxCharacters()): ?>
                    <p class="note"><?php /* @escapeNotVerified */ echo __('Maximum number of characters:') ?>
                        <strong><?php /* @escapeNotVerified */ echo $_option->getMaxCharacters() ?></strong></p>
<?php endif; ?>
        </div>
    </div>
</div>
